(0)
Name: SICom

Version: 1.0.0.42

Publisher: Fanox

The following prerequisites are required:

Microsoft .NET Framework 4 (x86 and x64)
SQL Server Compact 3.5 SP2
If these components are already installed, you can launch the application now. Otherwise, click the button below to install the prerequisites and run the application.

Install

Download Driver for equipments with USB.

Save ×
Save ×

Write To Us

Dear Customer,

We really care about your suggestions.

You can freely post your opinions and complaints if any :) about our company, our products and services.

Our quality department will detailly evaluate your posts and will inform you as soon as possible.

Many thanks for your kind interest.

Best Regards.

RELKO ENERJI


(*)
(*)
(*)
(*)
×

×